import axios from 'axios';

export default {
  cleanPayload(dirty) {
    console.log(['dirty', dirty])
    //de Clone object before mutating
    const payload = Object.assign({}, dirty);
    //de Remove empty values
    Object.keys(payload).forEach(k => (!payload[k] && payload[k] !== undefined) && delete payload[k]);
    return payload;
  },
  registerParticipant(vue, dirty) {
    const payload = this.cleanPayload(dirty)
    console.log(['register', payload])
    axios.post(vue.$ville.urls.sebra + '/participant', payload)
  }
}
